#!/usr/bin/perl

	$filename = $ARGV[0];
        $gain = $ARGV[1];
	open (FILE, $ARGV[0]) or die "could not open file $filename\n";
	while ($line = <FILE> ){
		 last if ($line =~ /(^.*?)\.\d{6}/);
	}
	$start =  $1 if $line =~ /(^.*?\..*?)\s/;
	$line =~ s/^.*?\.\d{6} (.*)/$1/;
	$linecount = 0;
	$file = $line;
	while ($line = <FILE>){
				$current = 	$1 if $line =~ /(^.*?\..*?)\s/;	
				$ok = $line =~ s/^.*?\.\d{6} (.*)/$1/;
				if($ok) {
					$end = $current;
					$linecount++;
					$line =~ s/(\p{IsCc})//g;
					$file .= $line."\n";
				}
	}
	close FILE;
	$file .= "AAA";  # exit string for ascii2bin
	$duration = $end - $start;

	$samplingrate = int $linecount * $ARGV[2] / $duration;
	print "audio2wav.pl: clip duration: $duration ($start $end) samplingrate: $samplingrate\n";
	
	open OUT, "| ascii2bin > $filename.tmp";
	print OUT $file;
	close OUT;

	while (system("sox -t raw -r $samplingrate -s -w $filename.tmp -s -w -r 8000 ${filename}.wav resample vol $gain amplitude 0.04") != 0){
		print "error with samplingrate $samplingrate";
		$samplingrate++;
		`rm ${filename}.wav`;
		print " try again with $samplingrate\n";
	}
	close FILE;
	`rm $filename.tmp`;
