echo "preProcessData: extracting file name from outputfile.txt:"
export fileName=`cat outputfile.txt`
echo $fileName
if [ "$fileName" == "" ]; then
echo "preProcessData: Error, could not find outputfile.txt"
exit -1
fi

cp /localdata/mark/audio2wave.pl .
cp /localdata/mark/ascii2bin .

echo "preProcessData: Cropping files (wait 1 min)..."
/localdata/mark/Cropfile $fileName.accel1
/localdata/mark/Cropfile $fileName.accel2
/localdata/mark/Cropfile $fileName.audio
/localdata/mark/Cropfile $fileName.accelfeat
/localdata/mark/Cropfile $fileName.audiofeat
/localdata/mark/Cropfile $fileName.event.class
/localdata/mark/Cropfile $fileName.posture.class
/localdata/mark/Cropfile $fileName.location.class
/localdata/mark/Cropfile $fileName.speech.class
/localdata/mark/Cropfile $fileName.posture_c45.class
/localdata/mark/Cropfile $fileName.event_c45.class
/localdata/mark/Cropfile $fileName.speech_c45.class

echo "preProcessData: Calling WavClipExtractor (wait 2 min)..."
/localdata/mark/WavClipExtractor -a $fileName.audio

rm -f audio2wave.pl
rm -f ascii2bin

echo "preProcessData: finished!"
