#!/bin/sh
# This script is used to prepare external libraries
ENCH_VER=0.9.2

if [ "$1" != "arm" ] && [ "$1" != "osx" ] && [ "$1" != "x86" ]; then
    echo "usage....unpack.sh [arm|osx|x86]"
    exit
fi

cd AWare
tar xzf enchantment-$ENCH_VER.tar.gz
ln -s "enchantment-$ENCH_VER" enchantment

cd enchantment

if [ "$1" == "arm" ]; then
    echo "WANT_SSL=yes" >> Config
    echo "STATIC_LIBS=no" >> Config
    echo "SHARED_LIBS=yes" >> Config
    echo "WANT_X11=no" >> Config
elif [ "$1" == "osx" ]; then
    echo "WANT_SSL=yes" >> Config
    echo "STATIC_LIBS=yes" >> Config
    echo "SHARED_LIBS=no" >> Config
    echo "WANT_X11=yes" >> Config
elif [ "$1" == "x86" ]; then 
    echo "WANT_SSL=yes" >> Config
    echo "STATIC_LIBS=no" >> Config
    echo "SHARED_LIBS=yes" >> Config
    echo "WANT_X11=yes" >> Config
fi

make
